<?php

namespace Drupal\external_entities_field_processors\Plugin\ExternalEntities\FieldMapProcessor;

use Drupal\external_entities_field_processors\FieldMapProcessor\FieldMapProcessorBase;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Date String Processor.
 *
 * @FieldMapProcessor(
 *   id = "DateStringToTimestamp",
 *   label = @Translation("Date string to timestamp"),
 *   description = @Translation("Converts date string to timestamp with strtime."),
 *   field_types = ""
 * )
 *
 * @package Drupal\external_entities_field_processors\Plugin\ExternalEntities\FieldMapProcessor
 */
class DateStringToTimestamp extends FieldMapProcessorBase {

  /**
   * {@inheritdoc}
   */
  public function processData($raw_data, $field_definition): array|string {
    return strtotime($raw_data);
  }


}
